import { Animated, StyleProp, ViewStyle } from 'react-native';
import { Component, PropsWithChildren } from 'react';
type Color = string;
export type Point = {
    x: number;
    y: number;
};
export type Points = {
    start: Point;
    end: Point;
};
export declare const presetColors: {
    instagram: string[];
    firefox: string[];
    sunrise: string[];
};
type AnimatedGradientProps = {
    style?: StyleProp<ViewStyle>;
    customColors: Color[];
    speed: number;
    useNativeDriver?: boolean;
    points: Points;
};
declare class AnimatedGradient extends Component<PropsWithChildren<AnimatedGradientProps>> {
    static defaultProps: {
        customColors: string[];
        speed: number;
        points: {
            start: {
                x: number;
                y: number;
            };
            end: {
                x: number;
                y: number;
            };
        };
    };
    state: {
        color0: Animated.Value;
        color1: Animated.Value;
    };
    componentDidMount: () => void;
    startAnimation: () => void;
    render(): import("react/jsx-runtime").JSX.Element;
}
export default AnimatedGradient;
//# sourceMappingURL=index.d.ts.map